Is it possible to use MariaDB 10 on Windows 2000?

Asked by slog on 2014-12-08

We have an old Windows 2000 server which can not be upgraded as a lot of ancient software are running on it. When we tried to Install mariaDB 10 (or 5) the run of mysql.exe produces an error: mysql is not a valid Win32 application.
What does it mean? It sounds like we trying to execute Linux executable on Windows. How it may be? Win32 application should be executable theoretically on any Windows version beginning with Windows NT.
Is it possible to build mariaDB from the sources with help of http://sourceforge.net/projects/mingw/ ?
Thank you!
Sergey

Question information

Language:
English Edit question
Status:
Solved
For:
MariaDB Edit question
Assignee:
No assignee Edit question
Solved by:
Vladislav Vaintroub
Solved:
2014-12-10
Last query:
2014-12-10
Last reply:
2014-12-09

MariaDB does not work on Windows 2000 ,as it uses APIs that only available in higher versions on Windows . The message Windows gives is confusing, it just means it does not work for this version of Windows (the exe file has minimal supported version somewhere in this header). I guess you'd need MySQL 5.1 if you want to run on Win2000.

slog (slogichev) said : #2

Thanks Vladislav Vaintroub, that solved my question.